Package org.eclipse.ecf.provider.zookeeper.util

## Class Logger

- java.lang.Object
- - org.eclipse.ecf.provider.zookeeper.util.Logger

    public class Logger
    extends Object

### Constructor Summary

Constructors
`Logger()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `bindLogService​(org.osgi.service.log.LogService ls)`
`static void` `log​(int level, String message, Exception e)`
`static void` `log​(int level, String message, Throwable t)`
`static void` `unbindLogService​(org.osgi.service.log.LogService ls)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger()

### Method Detail

#### bindLogService

    public static void bindLogService​(org.osgi.service.log.LogService ls)

#### unbindLogService

    public static void unbindLogService​(org.osgi.service.log.LogService ls)

#### log

    public static void log​(int level,
                           String message,
                           Exception e)

#### log

    public static void log​(int level,
                           String message,
                           Throwable t)